org.apache.fop.util

## Class TransformerDefaultHandler

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - org.xml.sax.ext.DefaultHandler2
    - - org.apache.fop.util.TransformerDefaultHandler

- All Implemented Interfaces:
    org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler, org.xml.sax.ext.DeclHandler, org.xml.sax.ext.EntityResolver2, org.xml.sax.ext.LexicalHandler

      public class TransformerDefaultHandler
      extends org.xml.sax.ext.DefaultHandler2

  A DefaultHandler implementation that delegates all the method calls to a `TransformerHandler` instance.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransformerDefaultHandler(javax.xml.transform.sax.TransformerHandler transformerHandler)` Creates a new instance delegating to the given TransformerHandler object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `characters(char[] ch, int start, int length)`
    `void` | `comment(char[] charArray, int start, int length)`
    `void` | `endCDATA()`
    `void` | `endDocument()`
    `void` | `endDTD()`
    `void` | `endElement(java.lang.String uri, java.lang.String localName, java.lang.String qName)`
    `void` | `endEntity(java.lang.String name)`
    `void` | `endPrefixMapping(java.lang.String string)`
    `javax.xml.transform.sax.TransformerHandler` | `getTransformerHandler()` Returns the delegate TransformerHandler instance.
    `void` | `ignorableWhitespace(char[] ch, int start, int length)`
    `void` | `notationDecl(java.lang.String name, java.lang.String publicId, java.lang.String systemId)`
    `void` | `processingInstruction(java.lang.String target, java.lang.String data)`
    `void` | `setDocumentLocator(org.xml.sax.Locator locator)`
    `void` | `skippedEntity(java.lang.String name)`
    `void` | `startCDATA()`
    `void` | `startDocument()`
    `void` | `startDTD(java.lang.String name, java.lang.String pid, java.lang.String lid)`
    `void` | `startElement(java.lang.String uri, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes attrs)`
    `void` | `startEntity(java.lang.String name)`
    `void` | `startPrefixMapping(java.lang.String prefix, java.lang.String uri)`
    `void` | `unparsedEntityDecl(java.lang.String name, java.lang.String publicId, java.lang.String systemId, java.lang.String notationName)`

    - ### Methods inherited from class org.xml.sax.ext.DefaultHandler2

      `attributeDecl, elementDecl, externalEntityDecl, getExternalSubset, internalEntityDecl, resolveEntity, resolveEntity`

    - ### Methods inherited from class org.xml.sax.helpers.DefaultHandler

      `error, fatalError, warning`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransformerDefaultHandler

          public TransformerDefaultHandler(javax.xml.transform.sax.TransformerHandler transformerHandler)

      Creates a new instance delegating to the given TransformerHandler object.
      Parameters:
        `transformerHandler` - the object to which all the method calls will be delegated

  - ### Method Detail

    - #### getTransformerHandler

          public javax.xml.transform.sax.TransformerHandler getTransformerHandler()

      Returns the delegate TransformerHandler instance.
      Returns:
        the object to which all method calls are delegated

    - #### setDocumentLocator

          public void setDocumentLocator(org.xml.sax.Locator locator)

      Specified by:
        `setDocumentLocator` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `setDocumentLocator` in class `org.xml.sax.helpers.DefaultHandler`

    - #### startDocument

          public void startDocument()
                             throws org.xml.sax.SAXException

      Specified by:
        `startDocument` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `startDocument` in class `org.xml.sax.helpers.DefaultHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### endDocument

          public void endDocument()
                           throws org.xml.sax.SAXException

      Specified by:
        `endDocument` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `endDocument` in class `org.xml.sax.helpers.DefaultHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### startPrefixMapping

          public void startPrefixMapping(java.lang.String prefix,
                                         java.lang.String uri)
                                  throws org.xml.sax.SAXException

      Specified by:
        `startPrefixMapping` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `startPrefixMapping` in class `org.xml.sax.helpers.DefaultHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### endPrefixMapping

          public void endPrefixMapping(java.lang.String string)
                                throws org.xml.sax.SAXException

      Specified by:
        `endPrefixMapping` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `endPrefixMapping` in class `org.xml.sax.helpers.DefaultHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### startElement

          public void startElement(java.lang.String uri,
                                   java.lang.String localName,
                                   java.lang.String qName,
                                   org.xml.sax.Attributes attrs)
                            throws org.xml.sax.SAXException

      Specified by:
        `startElement` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `startElement` in class `org.xml.sax.helpers.DefaultHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### endElement

          public void endElement(java.lang.String uri,
                                 java.lang.String localName,
                                 java.lang.String qName)
                          throws org.xml.sax.SAXException

      Specified by:
        `endElement` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `endElement` in class `org.xml.sax.helpers.DefaultHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### characters

          public void characters(char[] ch,
                                 int start,
                                 int length)
                          throws org.xml.sax.SAXException

      Specified by:
        `characters` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `characters` in class `org.xml.sax.helpers.DefaultHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### ignorableWhitespace

          public void ignorableWhitespace(char[] ch,
                                          int start,
                                          int length)
                                   throws org.xml.sax.SAXException

      Specified by:
        `ignorableWhitespace` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `ignorableWhitespace` in class `org.xml.sax.helpers.DefaultHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### processingInstruction

          public void processingInstruction(java.lang.String target,
                                            java.lang.String data)
                                     throws org.xml.sax.SAXException

      Specified by:
        `processingInstruction` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `processingInstruction` in class `org.xml.sax.helpers.DefaultHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### skippedEntity

          public void skippedEntity(java.lang.String name)
                             throws org.xml.sax.SAXException

      Specified by:
        `skippedEntity` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `skippedEntity` in class `org.xml.sax.helpers.DefaultHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### notationDecl

          public void notationDecl(java.lang.String name,
                                   java.lang.String publicId,
                                   java.lang.String systemId)
                            throws org.xml.sax.SAXException

      Specified by:
        `notationDecl` in interface `org.xml.sax.DTDHandler`
      Overrides:
        `notationDecl` in class `org.xml.sax.helpers.DefaultHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### unparsedEntityDecl

          public void unparsedEntityDecl(java.lang.String name,
                                         java.lang.String publicId,
                                         java.lang.String systemId,
                                         java.lang.String notationName)
                                  throws org.xml.sax.SAXException

      Specified by:
        `unparsedEntityDecl` in interface `org.xml.sax.DTDHandler`
      Overrides:
        `unparsedEntityDecl` in class `org.xml.sax.helpers.DefaultHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### startDTD

          public void startDTD(java.lang.String name,
                               java.lang.String pid,
                               java.lang.String lid)
                        throws org.xml.sax.SAXException

      Specified by:
        `startDTD` in interface `org.xml.sax.ext.LexicalHandler`
      Overrides:
        `startDTD` in class `org.xml.sax.ext.DefaultHandler2`
      Throws:
        `org.xml.sax.SAXException`

    - #### endDTD

          public void endDTD()
                      throws org.xml.sax.SAXException

      Specified by:
        `endDTD` in interface `org.xml.sax.ext.LexicalHandler`
      Overrides:
        `endDTD` in class `org.xml.sax.ext.DefaultHandler2`
      Throws:
        `org.xml.sax.SAXException`

    - #### startEntity

          public void startEntity(java.lang.String name)
                           throws org.xml.sax.SAXException

      Specified by:
        `startEntity` in interface `org.xml.sax.ext.LexicalHandler`
      Overrides:
        `startEntity` in class `org.xml.sax.ext.DefaultHandler2`
      Throws:
        `org.xml.sax.SAXException`

    - #### endEntity

          public void endEntity(java.lang.String name)
                         throws org.xml.sax.SAXException

      Specified by:
        `endEntity` in interface `org.xml.sax.ext.LexicalHandler`
      Overrides:
        `endEntity` in class `org.xml.sax.ext.DefaultHandler2`
      Throws:
        `org.xml.sax.SAXException`

    - #### startCDATA

          public void startCDATA()
                          throws org.xml.sax.SAXException

      Specified by:
        `startCDATA` in interface `org.xml.sax.ext.LexicalHandler`
      Overrides:
        `startCDATA` in class `org.xml.sax.ext.DefaultHandler2`
      Throws:
        `org.xml.sax.SAXException`

    - #### endCDATA

          public void endCDATA()
                        throws org.xml.sax.SAXException

      Specified by:
        `endCDATA` in interface `org.xml.sax.ext.LexicalHandler`
      Overrides:
        `endCDATA` in class `org.xml.sax.ext.DefaultHandler2`
      Throws:
        `org.xml.sax.SAXException`

    - #### comment

          public void comment(char[] charArray,
                              int start,
                              int length)
                       throws org.xml.sax.SAXException

      Specified by:
        `comment` in interface `org.xml.sax.ext.LexicalHandler`
      Overrides:
        `comment` in class `org.xml.sax.ext.DefaultHandler2`
      Throws:
        `org.xml.sax.SAXException`

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.